Check Hub Handoff Session
curl --request POST \
--url https://api.member.dev/api/v1/contact-auth/handoff/session-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"hub_id": "<string>"
},
"type": "hub_handoff_session_checks"
}
}
'import requests
url = "https://api.member.dev/api/v1/contact-auth/handoff/session-checks"
payload = { "data": {
"attributes": { "hub_id": "<string>" },
"type": "hub_handoff_session_checks"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {hub_id: '<string>'}, type: 'hub_handoff_session_checks'}})
};
fetch('https://api.member.dev/api/v1/contact-auth/handoff/session-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/contact-auth/handoff/session-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'hub_id' => '<string>'
],
'type' => 'hub_handoff_session_checks'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/contact-auth/handoff/session-checks"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"hub_id\": \"<string>\"\n },\n \"type\": \"hub_handoff_session_checks\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/contact-auth/handoff/session-checks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"hub_id\": \"<string>\"\n },\n \"type\": \"hub_handoff_session_checks\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/contact-auth/handoff/session-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"hub_id\": \"<string>\"\n },\n \"type\": \"hub_handoff_session_checks\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"signed_in": true
},
"id": "<string>",
"type": "hub_handoff_session_checks"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}contact-auth
Check Hub Handoff Session
Whether this browser already holds the User’s linked Contact session for a preview.
The admin Preview asks before it starts a preview handoff, and skips the
handoff only on signed_in: true. Same User, Admin-origin and eligibility
checks as a preview launch (and the same refusals). The browser’s Contact
refresh cookie is validated read-only, exactly like the hub’s SSR read
(jti liveness, revocation watermark, token_version, handoff authority), and
never rotated. The answer names no Contact and grants nothing.
POST
/
api
/
v1
/
contact-auth
/
handoff
/
session-checks
Check Hub Handoff Session
curl --request POST \
--url https://api.member.dev/api/v1/contact-auth/handoff/session-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"hub_id": "<string>"
},
"type": "hub_handoff_session_checks"
}
}
'import requests
url = "https://api.member.dev/api/v1/contact-auth/handoff/session-checks"
payload = { "data": {
"attributes": { "hub_id": "<string>" },
"type": "hub_handoff_session_checks"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {hub_id: '<string>'}, type: 'hub_handoff_session_checks'}})
};
fetch('https://api.member.dev/api/v1/contact-auth/handoff/session-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/contact-auth/handoff/session-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'hub_id' => '<string>'
],
'type' => 'hub_handoff_session_checks'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/contact-auth/handoff/session-checks"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"hub_id\": \"<string>\"\n },\n \"type\": \"hub_handoff_session_checks\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/contact-auth/handoff/session-checks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"hub_id\": \"<string>\"\n },\n \"type\": \"hub_handoff_session_checks\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/contact-auth/handoff/session-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"hub_id\": \"<string>\"\n },\n \"type\": \"hub_handoff_session_checks\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"signed_in": true
},
"id": "<string>",
"type": "hub_handoff_session_checks"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes